Summary:	Shared functions for Ayatana indicators
Name:		libindicator
Version:	0.3.15
Release:	b1
License:	GPLv3
Group:		System Environment/Libraries
URL:		https://launchpad.net/libindicator
Source0:	http://launchpad.net/libindicator/0.3/%{version}/+download/%{name}-%{version}.tar.bz2
# From upstream https://code.launchpad.net/~ken-vandine/libindicator/natty_fixes
#Patch0:		libindicator-0.3.15-abs_srcdir.patch
#Patch1:		libindicator-0.3.15-loader3.patch

#BuildRequires:	gtk-doc
#BuildRequires:	libtool
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk2-devel
BuildArchitectures: i586

%description
A set of symbols and convenience functions that all Ayatana indicators
are likely to use.

#%package	tools
#Summary:	Tools for %{name}
#Group:		System Environment/Libraries
#
#%description	tools
#This package contains tools used by the %{name} package, the
#Ayatana indicators system.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#%patch0 -p0 -b .abs_srcdir
#%patch1 -p0 -b .loader3

%build
# without this, you get rpath problems; can't figure why
#autoreconf -i

# we build it twice, once against GTK+ 3 and once against GTK+ 2, so
# both GTK+ 2 and GTK+ 3 apps can use it; the GTK+ 3 build is
# libindicator-gtk3. When we have no need for the GTK+ 2 build any more
# we can drop the -gtk3 package and have the main package build against
# GTK+ 3.
%global _configure ./configure
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

# this dummy indicator is fairly useless, it's not shipped in Ubuntu
rm -f %{buildroot}%{_libdir}/libdummy-indicator*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
#%doc COPYING
%{_libdir}/libindicator.so.*
%{_libexecdir}/indicator-loader

#%files	tools
#%defattr(-,root,root,-)
#%doc COPYING
#%{_libexecdir}/indicator-loader

%files	devel
%defattr(-,root,root,-)
#%doc COPYING
%{_includedir}/libindicator-0.3
%{_libdir}/libindicator.so
%{_libdir}/pkgconfig/indicator.pc
# This is marked as 'for development use only'
%{_sysconfdir}/X11/Xsession.d/80indicator-debugging

%changelog
* Mon Dec 13 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Create for Berry Linux
